Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9396;

https://www.cip.audi.de/jira/browse/ACO

RE-9397

Department: AEV Affected Products: ADTF 3.3.0 (BETA)

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::CE

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage:

Hallo,

will man FilterProperties im CE als Gruppe im PropTree anzeigen lassen, beispielsweise:

RegisterPropertyVariable("Group/Prop1", m_prop1);

RegisterPropertyVariable("Group/Prop2", m_prop2);

wird im CE die Gruppe ordentlich angezeigt.

Nur das Einlesen in ADTF funktioniert dann nicht mehr.

Die Propertyvariable behält ihre Init-Werte.    

Weitere Auffälligkeit im CE PropertyTree:

Die Änderung einer Property muss mit „Enter“ bestätigt werden dies hat jedoch zur Folge, dass der Elternknoten im Propertyview

„einklappt“.

Lösung:

Das beschriebene Verhalten konnte nachgestellt werden (ADTF 3.2.1 bzw 3.3.0 Beta).

Es wurden zwei Bug Tickets erstellt:

ACORE-9396 -> Nach dem Editieren klappt der Property-Baum wieder zu.

ACORE-9397 -> Werte von Sub-Properties können nicht ausgelesen werden.

History

#1 - 2018-02-26 09:35 - hidden

Weitere Auffälligkeit im CE PropertyTree:

Die Änderung einer Property muss mit „Enter“ bestätigt werden dies hat jedoch zur Folge, dass der Elternknoten im Propertyview „einklappt“

#2 - 2018-02-26 09:43 - hidden

- Project changed from Public Support to 11

- Topic set to ADTF::CE

- Customer set to AUDI

#3 - 2018-02-26 09:44 - hidden

- Description updated

#4 - 2018-02-26 10:03 - hidden

- Status changed from New to In Progress
#5 - 2018-02-28 13:37 - hidden

- Support Level changed from 2nd Level to 3rd Level

#6 - 2018-02-28 15:22 - hidden

- Status changed from In Progress to Customer Feedback Required

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9396; https://www.cip.audi.de/jira/browse/ACORE-9397

Das im Ticket beschriebene Verhalten konnte nachgestellt werden.

Es wurden zwei Bug Tickets erstellt:

ACORE-9396 -> Nach dem Editieren klappt der Property-Baum wieder zu.

ACORE-9397 -> Werte von Sub-Properties können nicht ausgelesen werden.

#7 - 2018-02-28 16:30 - hidden

- Resolution set to Product Issue Opened

#8 - 2018-03-02 14:40 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#9 - 2018-03-05 15:13 - hidden

Ticket kann geschlossen werden

#10 - 2018-03-07 15:50 - hidden

- Department set to AEV

#11 - 2018-03-15 14:50 - hidden

- Project changed from 11 to Public Support

- Subject changed from Gruppierung Properties (CE) to Grouped properties cannot be changed

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
